from gi.repository import Gtk, Gio

class ShareDialog(Gtk.Window):
    def __init__(self, parent):
        Gtk.Window.__init__(self)
        self.set_title('Share document')
        self.set_default_size(-1, -1)
        self.set_transient_for(parent)      
        self.set_modal(True)
        self.set_destroy_with_parent(True)
        self.set_position(Gtk.WindowPosition.CENTER)
                
        save = ShareItem('document-save-symbolic')
        save.set_tooltip_text("Save to disk")
        mail = ShareItem('document-send-symbolic')
        mail.set_tooltip_text('Send by mail')
        fb = ShareItem('document-save-symbolic')
        fb.set_tooltip_text('Update Facebook status')
        gd = Gtk.Button()
        gd.set_relief(Gtk.ReliefStyle.NONE)
        gd.set_can_focus(False)
        img = Gtk.Image.new_from_file('gdrive.png')
        gd.set_image(img)
        gd.set_tooltip_text('Upload to Google Drive')
        
        self.box = box = Gtk.Box()
        self.add(box)
        box.pack_start(save, False, False, 6)
        box.pack_start(mail, False, False, 6)
        box.pack_start(gd, False, False, 6)
        box.pack_start(fb, False, False, 6)

class ShareItem(Gtk.Button):
    def __init__(self, gicon_name):
        Gtk.Button.__init__(self)
        self.set_relief(Gtk.ReliefStyle.NONE)
        self.set_can_focus(False)
        gio = Gio.ThemedIcon.new_with_default_fallbacks(gicon_name)
        img = Gtk.Image.new_from_gicon(gio, Gtk.IconSize.DIALOG)
        self.set_image(img)
